Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 714126

Summary: media-video/libva-utils-2.4.0 : [TEST] [ FAILED ] CreateContext/VAAPICreateContext.test_va_api_fixture.cpp:98: Failure
Product: Gentoo Linux Reporter: Toralf Förster <toralf>
Component: Current packagesAssignee: Alexis Ballier <aballier>
Status: RESOLVED FIXED    
Severity: normal    
Priority: Normal    
Version: unspecified   
Hardware: All   
OS: Linux   
Whiteboard:
Package list:
Runtime testing required: ---
Attachments: emerge-info.txt
emerge-history.txt
environment
etc.portage.tbz2
logs.tbz2
media-video:libva-utils-2.4.0:20200323-203322.log.bz2
temp.tbz2

Description Toralf Förster gentoo-dev 2020-03-24 08:17:23 UTC
To be equal to: VaapiStatus(vaTerminate(m_vaDisplay))
      Which is: VA_STATUS_ERROR_INVALID_DISPLAY
[  FAILED  ] CreateContext/VAAPICreateContext.test_va_api_fixture.cpp:98: Failure
Value of: vaDisplay
  Actual: false
Expected: true

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.1_desktop-test-20200310-081612

  -------------------------------------------------------------------

gcc-config -l:
 [1] x86_64-pc-linux-gnu-9.3.0 *
clang version 10.0.0 
Target: x86_64-pc-linux-gnu
Thread model: posix
InstalledDir: /usr/lib/llvm/10/bin
/usr/lib/llvm/10
10.0.0
Available Python interpreters, in order of preference:
  [1]   python3.8
  [2]   python3.7
  [3]   python3.6
  [4]   python2.7 (fallback)
Available Rust versions:
  [1]   rust-1.41.1 *
The following VMs are available for generation-2:
*)	IcedTea JDK 3.14.0 [icedtea-bin-8]
Available Java Virtual Machines:
  [1]   icedtea-bin-8  system-vm

The Glorious Glasgow Haskell Compilation System, version 8.0.2

timestamp of HEAD at this tinderbox image:
/var/db/repos/gentoo	Mon 23 Mar 2020 07:39:53 PM UTC

emerge -qpvO media-video/libva-utils
[ebuild  N    ] media-video/libva-utils-2.4.0  USE="X drm test -wayland"
Comment 1 Toralf Förster gentoo-dev 2020-03-24 08:17:26 UTC
Created attachment 624814 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2020-03-24 08:17:29 UTC
Created attachment 624816 [details]
emerge-history.txt
Comment 3 Toralf Förster gentoo-dev 2020-03-24 08:17:32 UTC
Created attachment 624818 [details]
environment
Comment 4 Toralf Förster gentoo-dev 2020-03-24 08:17:35 UTC
Created attachment 624820 [details]
etc.portage.tbz2
Comment 5 Toralf Förster gentoo-dev 2020-03-24 08:17:37 UTC
Created attachment 624822 [details]
logs.tbz2
Comment 6 Toralf Förster gentoo-dev 2020-03-24 08:17:40 UTC
Created attachment 624824 [details]
media-video:libva-utils-2.4.0:20200323-203322.log.bz2
Comment 7 Toralf Förster gentoo-dev 2020-03-24 08:17:43 UTC
Created attachment 624826 [details]
temp.tbz2
Comment 8 Larry the Git Cow gentoo-dev 2021-01-14 20:29:20 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=494a49a76dd64eda29b162ca42d3d795d75453bd

commit 494a49a76dd64eda29b162ca42d3d795d75453bd
Author:     Sam James <sam@gentoo.org>
AuthorDate: 2021-01-14 20:28:38 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2021-01-14 20:28:38 +0000

    media-video/libva-utils: add bug links to tests patch
    
    Closes: https://bugs.gentoo.org/647746
    Closes: https://bugs.gentoo.org/632180
    Closes: https://bugs.gentoo.org/714126
    Closes: https://bugs.gentoo.org/758620
    Package-Manager: Portage-3.0.12, Repoman-3.0.2
    Signed-off-by: Sam James <sam@gentoo.org>

 media-video/libva-utils/Manifest                              |  2 +-
 .../files/libva-utils-2.10.0_test_in_sandbox.patch            | 11 +++++++----
 2 files changed, 8 insertions(+), 5 deletions(-)